mmex v1.5.19 (2022.08.19 non funziona

MMEX4Desktop, incl. Windows, macOS (10.10 or newer), and Most Unix variants using the GTK+ toolkit

Moderator: Renato

Post Reply
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

I have been waiting impatiently for the .deb version of mmex to be available to be able to install it on Mint and now that it is there and does not create dependency problems in the installation I find that after starting regularly the pc crashes. I thought it could be a problem with the pc and mint, so I tried to do the installation on a laptop with ubuntu mate and even in this after a regular boot the computer crashes to the point of having to shut it down. Why all this? Unfortunately I am not able to compile the sources so my only hope is in the .deb. I hope that someone is able to solve the problem and especially if it has happened to others as well
whall3y
Developer
Posts: 345
Joined: Fri Aug 21, 2020 5:44 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by whall3y »

Not sure we have released any Linux Mint or Ubuntu Mate builds. Where have you obtained these?

Or have you taken the 22.04 ubuntu build?
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

https://moneymanagerex.org/docs/downloads/latest/
I downloaded them from this link which I find to be the normal one. I have tried all three versions for ubuntu on both ubuntu mate and mint 21. On mint it seems to me that one reported a missing dependency, but the others installed without problems. The fact is that after starting the PC freezes and you have to shut down.
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

xdodo49 wrote: Tue Aug 30, 2022 8:57 pm https://moneymanagerex.org/docs/downloads/latest/
I downloaded them from this link which I find to be the normal one. I have tried all three versions for ubuntu on both ubuntu mate and mint 21. On mint it seems to me that one reported a missing dependency, but the others installed without problems. The fact is that after starting the PC freezes and you have to shut down.
The Ubuntu versions should work for just Ubuntu.
I am not sure, if they can work for MINT.
The i18n dependency should be gone for 1.5.19 as far as I know.

I think the PC freeze is not something related to mmex, but "journalctl" should tell you the last moments before freeze - just check by time stamp.

Which edition of MINT do you have? I then could try in a virtual machine.
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

I tried
linuxmint-21-cinnamon-64bit.iso
in a VirtualBox machine,
installed all the updates,
downloaded mmex "Linux Ubuntu 22.04 Jammy (64-bit)" from
https://moneymanagerex.org/docs/downloads/latest/

installed the deb -it said something that it will also install a lua version:

Code: Select all

2022-09-01 23:01:49 status installed liblua5.3-0:amd64 5.3.6-1build1
and everything is ok afterwards.
About shows:

Code: Select all

Money Manager Ex
Version: 1.5.19 64-bit
• Build on Aug 19 2022 16:46:17
• Database version: 7 • (aes128cbc)
MMEX is using the following support products:
• wxWidgets 3.1.7 (wxGTK 3.24)
• wxSQLite3 4.6.0 (SQLite 3.31.1)
• RapidJSON 1.1.0
• Lua 5.3.6
• lunasvg v2.3.1
• libcurl/7.81.0 OpenSSL/3.0.2 zlib/1.2.11 brotli/1.0.9 zstd/1.4.8 libidn2/2.3.2 libpsl/0.21.0 (+libidn2/2.3.2) libssh/0.9.6/openssl/zlib nghttp2/1.43.0 librtmp/2.3 OpenLDAP/2.5.13
• gettext 0.21
• apexcharts.js
Build using:
• CMake 3.22.1
• GNU Make 4.3
• GCC 11.2.0 • Ubuntu 22.04 'jammy'
Running on:
• Linux Mint 21 "vanessa"
• Linux 5.15.0-47-generic x86_64
• (UTF-8)
• 0x0 0bit 96x96ppi
No crash when rebooting the Virtual Machine.
Image
Attachments
Mint21.jpg
Mint21.jpg (65.12 KiB) Viewed 8892 times
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

Also
mmex_1.5.20-Beta.1-Ubuntu.22.04.jammy_amd64.deb
with

Code: Select all

Money Manager Ex
Version: 1.5.20-Beta.1 64-bit
• Build on Sep 1 2022 20:09:21
• Database version: 7 • (aes128cbc)
MMEX is using the following support products:
• wxWidgets 3.1.7 (wxGTK 3.24)
• wxSQLite3 4.6.0 (SQLite 3.31.1)
• RapidJSON 1.1.0
• Lua 5.3.6
• lunasvg v2.3.1
• libcurl/7.81.0 OpenSSL/3.0.2 zlib/1.2.11 brotli/1.0.9 zstd/1.4.8 libidn2/2.3.2 libpsl/0.21.0 (+libidn2/2.3.2) libssh/0.9.6/openssl/zlib nghttp2/1.43.0 librtmp/2.3 OpenLDAP/2.5.13
• gettext 0.21
• apexcharts.js
Build using:
• CMake 3.22.1
• GNU Make 4.3
• GCC 11.2.0 • Ubuntu.22.04.jammy
Running on:
• Linux Mint 21 "vanessa"
• Linux 5.15.0-47-generic x86_64
• (UTF-8)
• 0x0 0bit 96x96ppi
from here:
https://app.circleci.com/pipelines/gith ... /artifacts
works.
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

As for Mint, I can think that being the version 20.3 updated to 21 could create some problems, so I'm not sure it can't be the fault of the pc, instead ubuntu mate is the latest version downloaded and installed on an old Lenovo G50 that works still admirably. Now I will try to follow the advice received hoping to solve the problem. My biggest regret is that I have to log into Win 10 in order to continue using MMEX I have always used on Linux since version 0.9.
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

I still tried to install mmex on a third computer, an Asus SonicMaster (also quite dated but still good) on which I started ubuntu 22.04 in live version. Also here after a promising start, fixed the various options with a theme of my liking, as soon as I turned off it no longer restarted except to report after a while 'std :: bad_alloc'.
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

xdodo49 wrote: Fri Sep 02, 2022 9:56 pm I still tried to install mmex on a third computer, an Asus SonicMaster (also quite dated but still good) on which I started ubuntu 22.04 in live version. Also here after a promising start, fixed the various options with a theme of my liking, as soon as I turned off it no longer restarted except to report after a while 'std :: bad_alloc'.
Did you try to install Ubuntu 22.04 without mmex, work normally and reboot several times in between
and after -say- 10 reboots and installing the system as you like it, then install mmex as last point?

I do fear that this is something independent from mmex, also never heard that other users systems are "destroyed" by mmex. ;-)
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

All three computers work regularly without mmex. If I try to install it, the procedure ends positively. Most of the times at the first launch the cursor already blocks and the PC remains blocked for a certain period of time, then it unlocks with the error message reported above. Other times mmex starts for the first time and then crashes on the next reboot. For further proof, on the Lenovo that I use as a 'forklift' I have installed Fedora 36 and here too mmex has the same problem. Now it seems unlikely that three different PCs, with different operating systems, on which all the software installed work regularly, could be a problem with the PC and not with mmex. I have to keep using it on win 10 where it works regularly.
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

Ok Fedora.
As far as I can see we only have Fedora versions lately and 2 older ones here:
https://moneymanagerex.org/docs/downloads/older/
Do the older versions also fail?

How much memory do you have on that machines?
Most of the time 'std :: bad_alloc' shows, that some memory cannot be allocated
either some problems with memory and swap or some defect memory.
You are right, it is strange that this only comes up with mmex, so we now try to
"load test" the memory of your computers without installing mmex:

What happens if you open -say- 10 windows with 20 tabs each in firefox with different content on these machines
or if you load large Word files into libreoffice?
Also quite a nice test:
load that image with firefox:
https://www.heise.de/downloads/18/3/5/9 ... 220804.png
[ https://www.heise.de/news/Viele-Galaxie ... .mail.link ]
save it and load it with gimp.
This already takes long in firefox on my machine with 16GB and quite a good processor,
it probably will freeze your older machines, so save old work before testing!
PMaff
Super User
Posts: 74
Joined: Sun Aug 11, 2019 1:57 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by PMaff »

I compiled the 1.5.20 on my Jammy-Virtual machine with wxWidget 3.2.0:

Code: Select all

Money Manager Ex
Version: 1.5.20 64-bit
• Build on Sep 11 2022 14:03:58
• Database version: 7 • (aes128cbc)
• Git commit: 3e27ceb7f (2022-09-02)
MMEX is using the following support products:
• wxWidgets 3.2.0 (wxGTK 3.24)
• wxSQLite3 4.6.0 (SQLite 3.31.1)
• RapidJSON 1.1.0
• Lua 5.3.6
• lunasvg v2.3.1
• libcurl/7.81.0 OpenSSL/3.0.2 zlib/1.2.11 brotli/1.0.9 zstd/1.4.8 libidn2/2.3.2 libpsl/0.21.0 (+libidn2/2.3.2) libssh/0.9.6/openssl/zlib nghttp2/1.43.0 librtmp/2.3 OpenLDAP/2.5.13
• gettext 0.21
• apexcharts.js
Build using:
• CMake 3.22.1
• GNU Make 4.3
• GCC 11.2.0 • Ubuntu.22.04.jammy
Running on:
• Ubuntu 22.04.1 LTS "jammy"
• Linux 5.15.0-47-generic x86_64
• GNOME English (United States) (UTF-8)
• 0x0 0bit 96x96ppi
under X11 (not Wayland!) and it works ok.

Also I tried the version from https://moneymanagerex.org/docs/downloads/latest/ with "About":

Code: Select all

Money Manager Ex
Version: 1.5.20 64-bit
• Build on Sep 2 2022 13:14:17
• Database version: 7 • (aes128cbc)
MMEX is using the following support products:
• wxWidgets 3.1.7 (wxGTK 3.24)
• wxSQLite3 4.6.0 (SQLite 3.31.1)
• RapidJSON 1.1.0
• Lua 5.3.6
• lunasvg v2.3.1
• libcurl/7.81.0 OpenSSL/3.0.2 zlib/1.2.11 brotli/1.0.9 zstd/1.4.8 libidn2/2.3.2 libpsl/0.21.0 (+libidn2/2.3.2) libssh/0.9.6/openssl/zlib nghttp2/1.43.0 librtmp/2.3 OpenLDAP/2.5.13
• gettext 0.21
• apexcharts.js
Build using:
• CMake 3.22.1
• GNU Make 4.3
• GCC 11.2.0 • Ubuntu.22.04.jammy
Running on:
• Ubuntu 22.04.1 LTS "jammy"
• Linux 5.15.0-47-generic x86_64
• (UTF-8)
• 0x0 0bit 96x96ppi
which also runs ok on the X11 Jammy.

Question is if it is a Wayland issue again.
So you can try:
echo $XDG_SESSION_TYPE
which gives "x11" on a non-Wayland system.
User avatar
xdodo49
Senior User
Posts: 28
Joined: Sat May 21, 2016 6:55 pm
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by xdodo49 »

I apologize for my absence, but I have had impregnations that have kept me away from mmex. Now I can say with "certainty" that I have discovered why mmex is not working for me. I tried to delete the .mmex directory hidden in the home folder and performed a new installation everything worked fine. Then after a few days I tried to change the mmex theme and here the problem came back. In the past I used the colorful theme that I liked so I wanted to set it up and here the pc crashed. All the other themes work while colorful (on window works) blocks my pc. In all my test installations I have always wanted to use colorful and it crashes. However, we must remember to delete the .mmex folder otherwise even if I reinstall it the problem reoccurs.
jimmerydad
New User
Posts: 3
Joined: Thu Apr 22, 2021 1:22 am
Are you a spam bot?: No

Re: mmex v1.5.19 (2022.08.19 non funziona

Post by jimmerydad »

I had a similar issue trying to get past version 1.5.9 on Ubuntu 22.04, trying to update every other month or so, and couldn't get it to open. I'm glad you mentioned deleting the .mmex folder and not using the colorful theme :o (I preferred that one :( , but will use another until that is resolved).
Post Reply